Jump to content

Recommended Posts

Posted

I've searched in google for 10 minutes but I couldn't find this : i have a series of rectangles and I need to find their heading, without labelling. How do I do that? I have autocadMap.

All the suggestions point out to open a survey tab which i don't have, or how to draw a line with bearing and distance, not useful.

I need a tool or a lisp that by clicking on the object, or poliline, it will give you the heading / bearing, relative to the north.

thank you

Posted

Label a pline could be simply modified to result in a BRG and distance, Instead of doing say (coomand "Text" do (alert (strcat brg distance etc))

 

I found one in a couple of minutes. 

Posted

Of course with rectangles, each one has a bearing on each side, a total of four per rectangle.

Posted

Try this lisp by Kent Cooper https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/get-angle-of-line-tangent-to-a-point-in-the-spline/m-p/2608359#M285125

(defun c:TanAng (/ esel pt ent)
	(setq
		esel (entsel "\nPick Object for Tangent Angle at pick point: ")
		ent (car esel)
		pt (trans (osnap (cadr esel) "nea") 1 0)
	); end setq
	(prompt
		(strcat
		"\nThe tangent angle is "
		(angtos(angle '(0 0 0) (trans (vlax-curve-getFirstDeriv ent (vlax-curve-getParamAtPoint ent pt)) 0 1 T)))
		); end strcat
	); end prompt
	(princ)
)

Doesn't draw anything just returns tangent direction at a picked point on a line, arc, or polyline.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...